Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

EasyApache 4 Update - March 21, 2017 and March 22, 2017

Discussion in 'EasyApache' started by cPStacy, Mar 21, 2017.

  1. cPStacy

    cPStacy Technical Writer
    Staff Member

    Joined:
    Jul 23, 2014
    Messages:
    134
    Likes Received:
    16
    Trophy Points:
    93
    cPanel Access Level:
    Root Administrator
    The EasyApache team published updates to the EasyApache 4 repository. EasyApache 4 does not use versioning and organizes changes by date only.

    2017-3-21
    • ea-apache2
      • 2.4.25-6 - EA-6007: Add patch for higher seed chunks
      • 2.4.25-7 - EA-6024: requirement for links for apachectl-status
    • ea-apache2-config
      • 1.0.89 - EA-4919: Hardened permissions for domlogs
      • 1.0.90 - EA-6026: Block exposure to .user.ini and php.ini in public_html
    • ea-cpanel-tools
      • 1.0-10 - EA-5964: add initial EA4 Recommendations data
      • 1.0-11 - EA-6021: revamp EA4 Recommendations data for new spec
      • 1.0-12 - EA-6025: Add top level 'level' and adjust options' 'level' of PHP DSO recommendation
    • ea-libcurl
      • 7.38.0-1 - ZC-2421: Create libcurl package
      • 7.38.0-2 - ZC-2452: Fix missing Available protocols and features
      • 7.38.0-3 - ZC-2468: Removed AsynchDNS feature as it isn't required at this time
      • 7.38.0-4 - ZC-2468: Removed leftover c-ares build requires
      • 7.53.1-1 - EA-6050: Update libcurl to version to 7.53.1
    • ea-mod_security2
      • 2.9.0-16 - ZC-2469: Use ea-libcurl* instead of system curl
    • scl-php54
      • 5.4.45-29 - EA-2422: Have PHPs use our ea-libcurl
      • 5.4.45-30 - ZC-2475: PHPs need build reqs when building for libcurl
    • scl-php55
      • 5.5.38-12 - EA-2422: Have PHPs use our ea-libcurl
      • 5.5.38-13 - ZC-2475: PHPs need build reqs when building for libcurl
    • scl-php56
      • 5.6.30-5 - EA-2422: Have PHPs use our ea-libcurl
      • 5.6.30-6 - ZC-2475: PHPs need build reqs when building for libcurl
    • scl-php70
      • 7.0.16-2 - EA-6008: remove bz2 and calendar from common’s Provides
      • 7.0.16-3 - EA-2422: Have PHPs use our ea-libcurl
      • 7.0.16-4 - ZC-2475: PHPs need build reqs when building for libcurl
      • 7.0.17-1 - EA-6067: Updated to version 7.0.17 via update_pkg.pl
    • scl-php70-meta
      • 7.0.17-1 - EA-6068: Update PHP to version 7.0.17, drop 7.0.16.
    • scl-php71
      • 7.1.2-2 - EA-6008: remove bz2 and calendar from common’s Provides
      • 7.1.2-3 - EA-2422: Have PHPs use our ea-libcurl
      • 7.1.2-4 - ZC-2475: PHPs need build reqs when building for libcurl
      • 7.1.3-1 - EA-6079: Updated to version 7.1.3 via update_pkg.pl
    • scl-php71-meta
      • 7.1.3-1 - EA-6080: Update PHP to version 7.1.3, drop 7.1.2.
    2017-3-22
    • ea-apache2-config
    • 1.0-92 - EA-6088: Bad regex in cPanel security policy httpd.conf addition​
    • 1.0-91 - EA-6082: Allow optimizing AllowOveride​

    EASYAPACHE 4 CHANGE LOG: EasyApache 4 Change Log - EasyApache 4 - cPanel Documentation
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
    #1 cPStacy, Mar 21, 2017
    Last edited: Mar 23, 2017
  2. BDuenk

    BDuenk Registered

    Joined:
    Mar 22, 2017
    Messages:
    2
    Likes Received:
    1
    Trophy Points:
    3
    Location:
    Netherlands
    cPanel Access Level:
    Root Administrator
    Hi Stacy,

    This update contains an error in de apache config which causes issues with file access, the error are this line of codes:


    #<FilesMatch "(.ht[access|passwd]|.user.ini|php.ini)">
    # Require all denied
    #</FilesMatch>
     
  3. cPStacy

    cPStacy Technical Writer
    Staff Member

    Joined:
    Jul 23, 2014
    Messages:
    134
    Likes Received:
    16
    Trophy Points:
    93
    cPanel Access Level:
    Root Administrator
    I've passed this along, we're working on getting it fixed. Thanks for letting us know!
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  4. DestoMedia

    DestoMedia Member

    Joined:
    Jul 12, 2007
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    51
    It took us 5 hours to figure out why one of our websites didn't process a checkout POST request to the cart before finding tracing it back to this apache update. Lost sales and waisted 5 hours of work...pretty pissed about this.
     
  5. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    44,698
    Likes Received:
    1,883
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Hello,

    The issue with file access after the most recent EA4 update is discussed on the following thread:

    Apache Forbidden

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice